petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFPrintf

Prints to a file, only from the first processor in the communicator.

### Synopsis

    PetscErrorCode PetscFPrintf(MPI_Comm comm,FILE* fd,const char format[],...)

Not Collective

### Input Parameters

| comm | - the communicator
| fd | - the file pointer
| format | - the usual printf() format string

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIISynchronizedPrintf(), PetscSynchronizedFlush()

### Level

intermediate

### Location

src/sys/fileio/mprint.c

### Examples

src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex18.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex46.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex52.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages